.section {
    position: relative;
    margin-bottom: rem(32);

    &--sm {
        margin-bottom: rem(28);
    }

    &__header {
        z-index: 10;
        position: relative;
        margin-bottom: rem(24);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__heading {
        display: flex;
        column-gap: rem(8);
        align-items: flex-start;
    }

    &__icon {
        display: block;
        width: rem(30);
        height: rem(30);
        flex-shrink: 0;
    }

    &__title {
        margin: 0;
        font-weight: 500;
        font-size: rem(32);
        line-height: rem(32);
        text-transform: uppercase;
    }

    &__control {
        display: none;

        .btn-nav {

            &:disabled,
            &.swiper-button-disabled {
                opacity: 0;
                visibility: hidden;
            }
        }
    }

    &__body {
        z-index: 10;
        position: relative;
    }

    &__footer {
        z-index: 10;
        position: relative;
        margin-top: rem(16);
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: rem(8);
    }

    &__showcase {
        display: grid;
        grid-row-gap: rem(16);
        grid-template-columns: 1fr;
    }

    &__pattern {
        z-index: 1;
        position: absolute;

        &--advantages {
            left: rem(-16);
            bottom: rem(-47);
            width: rem(132);
        }

        &--md {
            display: none;
        }

        &--delivery {
            display: none;
            width: 839px;
        }
    }

    &__intro {
        max-width: rem(1010);
        margin-bottom: rem(24);
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(40);

        &--sm {
            margin-bottom: rem(40);
        }

        &--md {
            margin-bottom: rem(60);
        }

        &__header {
            margin-bottom: rem(32);
        }

        &__heading {
            align-items: center;
            column-gap: rem(12);
        }

        &__footer {
            display: none;
        }

        &__title {
            font-size: rem(36);
            line-height: rem(36);
        }

        &__control {
            display: flex;
            align-items: center;
            column-gap: rem(8);
        }

        &__showcase {
            grid-row-gap: rem(20);
        }

        &__pattern {

            &--advantages {
                left: rem(-20);
                bottom: rem(-100);
                width: rem(292);
            }

            &--sm {
                display: none;
            }

            &--md {
                display: block;
            }
        }

        &__intro {
            margin-bottom: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(80);

        &--sm {
            margin-bottom: rem(40);
        }

        &--md {
            margin-bottom: rem(80);
        }

        &__header {
            margin-bottom: rem(36);

            &--sm {
                margin-bottom: rem(24);
            }

            &--xl {
                margin-bottom: rem(40);
            }
        }

        &__showcase {
            grid-row-gap: rem(30);
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr;
        }

        &__pattern {

            &--advantages {
                left: rem(-342);
                bottom: rem(-156);
                width: rem(499);
            }

            &--sm {
                display: none;
            }

            &--md {
                display: block;
            }

            &--delivery {
                right: -604px;
                bottom: -139px;
                width: 839px;
                height: 372px;
                display: block;
            }
        }
    }
}
